package market.Qms.com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.BasePhyRStationMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_PHY_R_STATION", namespace=BasePhyRStationMapper.class)
public class BasePhyRStation extends BaseVO implements Serializable {

	/** 材质检验项代码 */
	@Column("PHY_CODE_S")
	private String phyCodeS;

	/** 材质检验项名称 */
	@Column("PHY_NAME_S")
	private String phyNameS;

	/** 工序点代码 */
	@Column("PROCESS_POINT_CODE")
	private String processPointCode;

	/** 工序点描述 */
	@Column("PROCESS_POINT_DESC")
	private String processPointDesc;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	public String getPhyCodeS() {
		return this.phyCodeS;
	}

	public String getPhyNameS() {
		return this.phyNameS;
	}

	public String getProcessPointCode() {
		return this.processPointCode;
	}

	public String getProcessPointDesc() {
		return this.processPointDesc;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public void setPhyCodeS(String phyCodeS) {
		this.phyCodeS = phyCodeS;
	}

	public void setPhyNameS(String phyNameS) {
		this.phyNameS = phyNameS;
	}

	public void setProcessPointCode(String processPointCode) {
		this.processPointCode = processPointCode;
	}

	public void setProcessPointDesc(String processPointDesc) {
		this.processPointDesc = processPointDesc;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

}
